GNOME-Terminal Anwenderhandbuch
<<< Previous |  | Next >>>

# Kommandozeilenparameter

- `--background `COLOUR``

  Bestimmt die Hintergrundfarbe des Terminals beim Programmstart. Dabei kann `COLOUR` jede von Ihrem Fenstersystem akzeptierte Farbe sein.

- `--tclass `CLASSNAME``

  Bestimmt die beim Programmstart benutzte Terminalklasse.

- `--command `CMD`, -e `CMD``

  Führt den Befehl `CMD` aus.

- `--execute `CMD ARGS`, -x `CMD ARGS``

  Führt den Befehl `CMD` mit den Argumenten `ARGS` aus. Hinter diesem Argument werden keine weiteren Argumente vom Terminal interpretiert. Dies klont das Verhalten von xterm -e.

- `--font `FONT``

  Setzt die im Terminal verwendete Schriftart auf `FONT`.

- `--foreground `COLOUR``

  Setzt die Vordergrundfarbe des Terminals auf `COLOUR`.

- `--geometry `GEOMETRY``

  Bestimmt die Geometrie dieses Terminals. Die Geometrie bestimmt die gewünschte Breite und Höhe in Terminal-Zeichen. Zum Beispiel erzeugt `--geometry=80x40` ein Terminal mit 80 Spalten und 40 Zeilen.

- `--login`

  Läßt `GNOME-Terminal` die Shell als Login-Shell starten (dies läßt alle beim Login üblichen Initialisierungsskripts ablaufen).

- `--nologin`

  Läßt `GNOME-Terminal` lediglich eine Shell starten, ohne die beim Login üblichen Initialisationsskripte ablaufen zu lassen.

- `--noutmp`

  Bestimmt, das dieses Terminal und die zugehörige Shell sich nicht in der Systemdatenbank eintragen, in der alle zur Zeit eingeloggten Benutzer registriert sind.

- `--utmp`

  Sort dafür, daß sie zum Terminal gehörende Shell sich in die Systemdatenbank einträgt, in der alle zur Zeit eingeloggten Benutzer registriert sind (die sogenannte utmp-Datenbank). Dies ist die Standardeinstellung.

- `--lastlog`

  Immer einen lastlog-Eintrag für jedes Terminal-Login erzeugen.

- `--nolastlog`

  Keinen lastlog-Eintrag für jedes Terminal-Login erzeugen.

- `--title `TITLE`, -t `TITLE``

  Läßt `GNOME-Terminal` `TITLE` als Fenstertitel verwenden.

- `--termname `TERMNAME``

  Läßt `GNOME-Terminal` `TERMNAME` als Wert für die Umgebungsvariable `TERM` verwenden.

- `--start-factory-server`

  Versucht, den TerminalFactory-Service für dieses Terminal zu starten (siehe unten).

- `--use-factory`

  Wenn bereits ein Terminal-Prozess läuft, der mit der `--start-factory-server`-Option gestartet wurde, startet der Befehl gnome-terminal --use-factory ein neues Terminal, das zu dem existierenden Terminal-Prozess gehört. Das heißt, es hat denselben Effekt als wenn Sie Datei->Neues Terminal im existierenden Terminal wählen würden.

  Wenn keine TerminalFactory aktiv ist, hat diese Option keine Auswirkungen.

Sie können selbstverständig mehr als eine diese Optionen gleichzeitig verwenden, wenn Sie zum Beispiel den textbasierten Web-Browser `Lynx` installiert haben, starte gnome-terminal --title Web --command lynx ein `GNOME-Terminal`, in dem `Lynx` abläuft und dessen Titel "Web" ist.

<<< Previous | Home | Next >>>
Terminalklassen |  | Umgebung